<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/xhtml1/strict">

<xsl:output
   method="html"
   indent="yes"
   encoding="UTF-8"
/>


<xsl:template name="strip-HTML">
    <xsl:param name="text"/>
    <xsl:choose>
        <xsl:when test="contains($text, '&gt;')">
            <xsl:choose>
                <xsl:when test="contains($text, '&lt;')">
                    <xsl:value-of select="concat(substring-before($text, '&lt;'), ' ')"/>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:value-of select="substring-before($text, '&gt;')"/>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:call-template name="strip-HTML">
                <xsl:with-param name="text" select="substring-after($text,
'&gt;')"/>
            </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
            <xsl:value-of select="$text"/>
        </xsl:otherwise>
    </xsl:choose>
</xsl:template>





<xsl:template match="interactions/interaction/parameters/cparameter">
 	<html>
   	<head>
     	<title>
		Content Summary
     	</title>
   	</head>
   	<body>
   	
   	<p>
		
This text represents content that has been extracted from a slide show.

	</p>

<xsl:for-each select="optionpage"> 

	
	
	<xsl:for-each select="entrydata"> 

	<xsl:if test="input/@optionStore='TextArea_1'"> 

		    
		    
		    <xsl:if test="(string(input))">
 		    
		    <p>

		    New Slide captioned <xsl:value-of select="input"/>

		    </p>
		    

		    </xsl:if>


		   
		    

         </xsl:if> 


	
	<xsl:if test="input/@optionStore='ImageArea_1'"> 
		    
		    <xsl:if test="(string(imageCaption))">
			
			<p>
			
			Image of  
                    	<xsl:value-of select="imageCaption"/>

			</p>
                    	
					    	
		    </xsl:if>

		    <xsl:if test="(string(imageSource))">

			<p>
			
                    	<xsl:value-of select="imageSource"/>
                    	

			</p>
		    	
		    </xsl:if>

               </xsl:if> 


	</xsl:for-each> 

</xsl:for-each> 





 </body>
 </html>

</xsl:template>
</xsl:stylesheet>

